All Questions

870
votes
34answers
636667 views

Android Studio: Add jar as library?

I'm trying to use the new Android Studio but I can't seem to get it working correctly. I'm using the Gson library to serialize/deserialize JSON-objects. But the library somehow isn't included in the ...
100
votes
10answers
128909 views

How to enable multidexing with the new Android Multidex support library

I want to use the new Multidex support library to break the method limit for one of my apps. With Android Lollipop Google introduced a multidex support library that makes it easy to multidex. What...
130
votes
23answers
127304 views

Java finished with non-zero exit value 2 - Android Gradle

I'm getting this error executing my Android app (I cleaned it and then built it, but the error is still present) Sync: OK Make Project: OK Clean: OK Run: Error Error:Execution failed for task ...
673
votes
22answers
479140 views

Error retrieving parent for item: No resource found that matches the given name after upgrading to AppCompat v23

I've always programmed Android with Eclipse and decided to start migrating to Android Studio. I decided to use the same SDK I already had for Eclipse, then: Started a new project Set minimum SDK 4.0...
182
votes
21answers
122835 views

Multiple dex files define Landroid/support/v4/accessibilityservice/AccessibilityServiceInfoCompat

If I run gradle assembleDebug from the command line, I am suddenly getting this error: UNEXPECTED TOP-LEVEL EXCEPTION: com.android.dx.util.DexException: Multiple dex files define Landroid/support/v4/...
108
votes
5answers
133409 views

OpenCV in Android Studio

I want to use OpenCV library in my app with Android Studio. I followed instructions found here but I get error Configuration with name 'default' not found What can be wrong? I use Android Stud...
358
votes
14answers
365410 views

appcompat-v7:21.0.0': No resource found that matches the given name: attr 'android:actionModeShareDrawable'

When attempting to use the latest appcompat-v7 support library in my project, I get the following error: /Users/greg/dev/mobile/android_project/app/build/intermediates/exploded-aar/com.android.suppor...
9
votes
3answers
3885 views

DexIndexOverflowException Only When Running Tests

I can successfully build and run my Android app in my debug and release variants with no problem. Yet, when I try to run my new unit tests (I never had them before), I get the dreaded DexIndexOverflow...
152
votes
23answers
211355 views

com.android.build.transform.api.TransformException

i am trying to integrate google sign in , in my app,i added these libraries: compile 'com.google.android.gms:play-services-identity:8.1.0' compile 'com.google.android.gms:play-services-plus:8.1.0' ...
55
votes
10answers
52318 views

Failed to resolve: com.android.support:appcompat-v7:26.0.0

I am having this issue in Android studio. Error:(22, 13) Failed to resolve: com.android.support:appcompat-v7:26.0.0 <a href="install.m2.repo">Install Repository and sync project</a><br...

Previous Next